Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.help
Interface IToc

All Superinterfaces:
  IHelpResource

public interface IToc
extends IHelpResource

IToc is the table of contents. It contains help topics.

Since:
  2.0

Field Summary
`static String` | `TOC` This is element name used for TOC in XML files.
`static String` | `TOPIC` This is the attribute used for description topic in XML files.

Fields inherited from interface org.eclipse.help.IHelpResource
`HREF, LABEL`

Method Summary
`ITopic` | `getTopic(String href)` Returns a topic with the specified href defined by this TOC.
`ITopic[]` | `getTopics()` Obtains the topics directly contained by a toc.

Methods inherited from interface org.eclipse.help.IHelpResource
`getHref, getLabel`

Field Detail

### TOC

    public static final String TOC

  This is element name used for TOC in XML files.

  See Also:
    Constant Field Values

### TOPIC

    public static final String TOPIC

  This is the attribute used for description topic in XML files.

  See Also:
    Constant Field Values

Method Detail

### getTopics

    public ITopic[] getTopics()

  Obtains the topics directly contained by a toc.

  Returns:
    Array of ITopic

### getTopic

    public ITopic getTopic(String href)

  Returns a topic with the specified href defined by this TOC.
  If the TOC contains multiple topics with the same href only of them (arbitrarily chosen) will be returned.

  If no topic is specified, then the TOC description topic is returned, or null if there is no description topic for the TOC.

  Parameters:
    `href` - the topic's URL or null
  Returns:
    ITopic or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.